// 引入arcgisserver api
import PopupTemplate from "esri/PopupTemplate"
// import QueryTask from "esri/tasks/QueryTask"
// import Query from "esri/tasks/support/Query"
//引入Vue
import Vue from 'vue';
//引入异步

// const Feild_key_value = () => import("./Feild_key_value.vue")
import inLD_Window from "./info_LD_Window.vue"
import inDYWG_Window from "./info_DYWG_Window.vue"
import Feild_key_value from "./Feild_key_value.vue"
const LdComponent = Vue.extend(inLD_Window);
const DYWGComponent = Vue.extend(inDYWG_Window);
const customPopup = Vue.extend(Feild_key_value);
const CustomPopupTemlate = {
    init: function (type) {
        let newPopoTemplate = {
            title: type,
            outFields: ['*'],
            content: this.initContent
        };
        return newPopoTemplate;
    },

    initContent: function (target) {
        console.log(target);
        let attributes = target.graphic.attributes;
        let ld_Data = [];
        for (let [key, value] of Object.entries(attributes)) {
            let item = { field: key, content: value };
            ld_Data.push(item);
        }
        if (target.graphic.sourceLayer.layer.id == "mapserver") {
            let tempcomponent = new customPopup({
                propsData: {
                    dataProp: ld_Data
                }
            });
            return tempcomponent.$mount().$el;
            // switch (target.graphic.sourceLayer.id) {
            //     case 1:

            //         
            //     case 2:
            //         return;
            // }
        }
        let type = target.graphic.sourceLayer.id;
        switch (type) {
            case 66:

                let Ld_component = new LdComponent({
                    propsData: {
                        dataProp: ld_Data
                    }
                });
                return Ld_component.$mount().$el;
            case 77:
                let DYWG_component = new DYWGComponent();
                return DYWG_component.$mount().$el;
            case 78:
                let CSQWG_Div = document.createElement("div");
                CSQWG_Div.id = "CSQWG_Id";
                CSQWG_Div.style.width = "100px";
                CSQWG_Div.style.height = "100px";
                CSQWG_Div.style.backgroundColor = "red";
                return CSQWG_Div
            case 79:
                let XZWG_Div = document.createElement("div");
                XZWG_Div.id = "XZWG_Id";
                XZWG_Div.style.width = "100px";
                XZWG_Div.style.height = "100px";
                XZWG_Div.style.backgroundColor = "red";
                return XZWG_Div;
            case 80:
                let XWG_Div = document.createElement("div");
                XWG_Div.id = "XWG_Id";
                XWG_Div.style.width = "100px";
                XWG_Div.style.height = "100px";
                XWG_Div.style.backgroundColor = "red";
                return XWG_Div;
            default:
                break;
        }
    },
    //与arcgisserver服务进行交互的查询
    queryData: function (queryTask, query) {
        queryTask.execute(query).then((res) => {

        })

    },
    //拼装与arcgisserver交互查询的数据
    structureData: function () {

    }

}
export default CustomPopupTemlate
